Subject: CVS domivogt: * Fixed all recent title button bugs (hopefully).

From: CVS <[email-masked]>
Date: Sun, 9 Jan 2000 08:25:59 -0600 (CST)

CVSROOT:	/home/cvs/fvwm
Module name:	fvwm
Changes by:	domivogt	00/01/09 08:25:58

Modified files:
	.              : ChangeLog 
	fvwm           : add_window.c bindings.c borders.c builtins.c 
	                 cursor.c decorations.c events.c fvwm.c fvwm.h 
	                 menus.c misc.c screen.h style.c 
	libs           : ColorUtils.c Picture.c fvwmlib.h 

Log message:
* Fixed all recent title button bugs (hopefully).
* Revised button members of decors, styles and windows.
* Applied colorlimit core dump fix by Kevin Ryde.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Mon, 10 Jan 2000 23:48:43 +0200

On 10 Jan 2000 18:49:24 +0100, Dominik Vogt wrote:
> 
> On Mon, Jan 10, 2000 at 02:59:40AM +0200, Mikhael Goikhman wrote:
> > Hi, Dominik.
> > 
> > Line 187 of fvwm/screen.h should be:   unsigned mwm_decor_flags : 5;
> > to avoid warnings.
> 
> I'll rather waste four more bits and keep using the mwm_flags type.
> 
> > Good work on decors, but I encountered at least two bugs.
> > 
> > After this commit border Style commands (NoBorder, Border, FvwmBorder etc)
> > often cause a small window of the button size to be drawn and immideately
> > disappear somewhere on the screen. Even more interesting! All matching
> > iconified windows after this command (like: Style xterm FvwmBorder) have
> > the size of a button (19x19 for me). I hope you can reproduce this.
> 
> Hah, at least some nice, reproducable bugs :-)  The loop that resized
> the buttons went a bit too far into the FvwmWindow structure, resizing
> the icon window too and trashing a few of the members behind it.

Thanks, fixed.

> > Second, when you resize a window (shrinking) the handle corners (just like
> > buttons now) adjust their lenght, but then they can't be restored neither
> > by resizing (growing) nor by any Style commands; only by RecaptureWindow.
> 
> Yup. Fixed.

Not quite. The handle corners now does not change their size visually
(only climb one over another), while the mouse cursor still mimics
lessened corners as it was before. Try to resize NoTitle 1x1 xv window.

> P.S.: Please, please, PLEASE send mail to me always via the fvwm-workers
> list, especially when you have bug reports.

Regards,
Mikhael.